Subject: Re: SGI IRIX 6.5 in emacs-24.3.90: big build report

From: Paul Eggert <[email-masked]>
Date: Sat, 03 May 2014 14:28:37 -0700

As luck would have it, I ported the emacs-24 branch to SGI IRIX 6.5 on 
April 13, the day after the emacs-24.3.90 pretest tarball was made.  I 
ran into the problem with sockaddr_in6 and fixed it in emacs-24 bzr 
116961 by tweaking src/conf_post.h to #define INET6 on IRIX 6.5.  So 
this should be fixed in the next pretest.  (This also should fix 
Bug#7643, which was marked done a while ago, I don't know why.)

The port requires IRIX cc, unfortunately.  I did not get undump to work 
with the old GCC installed at Utah.  I assume it's a simple fix for 
someone versed in undumping on IRIX, which I am not.  As far as I know 
this is the only remaining issue in Bug#17339.